import 'rxjs/add/operator/toPromise';
import { ReduxActionFunction, ReduxStateInterface } from '@harmowatch/redux-decorators';
import { Reducer, Store } from 'redux';
export declare class RegistryReducerItem {
    stateName: string;
    reducer: Reducer<{}>;
    type: ReduxActionFunction<{}>;
}
export interface IRegisterStatePayload {
    initialValue: {};
    name: string;
}
export declare class Registry {
    static readonly ACTION_REGISTER_STATE: string;
    private static _store;
    private static _reducers;
    static reset(): void;
    static registerStore(store: Store<{}>): void;
    static registerState(state: ReduxStateInterface<{}>): void;
    static getStore(): Promise<Store<{}>>;
}
