import 'rxjs/add/operator/map';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { ReduxStateType } from '@harmowatch/redux-decorators';
import { ReduxStateProvider } from '../state/state.provider';
import { ReduxRootState } from '../module/root/state';
export declare class ReduxSelector<T> extends ReplaySubject<T> {
    private static readonly DELIMITER;
    constructor(selector?: string, stateProvider?: ReduxStateType<ReduxStateProvider<{}>>);
    static normalize(selector: string, stateProvider?: ReduxStateType): string;
    static getValueByState<S>(state: ReduxRootState<S>, selector: string, stateProvider?: ReduxStateType): S;
}
